Last Comment Bug 708572 - Consider backing out bug 335998 from Beta/FF9
: Consider backing out bug 335998 from Beta/FF9
Status: RESOLVED WONTFIX
[qa?]
:
Product: Core
Classification: Components
Component: DOM (show other bugs)
: unspecified
: x86_64 Linux
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
: Andrew Overholt [:overholt]
Mentors:
Depends on:
Blocks: strongparent 702813
  Show dependency treegraph
 
Reported: 2011-12-08 03:24 PST by Olli Pettay [:smaug]
Modified: 2012-01-27 19:00 PST (History)
8 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
fixed


Attachments
patch (13.87 KB, patch)
2011-12-08 03:24 PST, Olli Pettay [:smaug]
no flags Details | Diff | Splinter Review
patch (22.92 KB, patch)
2011-12-08 05:31 PST, Olli Pettay [:smaug]
jst: review+
Ms2ger: review+
bzbarsky: review+
jst: approval‑mozilla‑beta+
Details | Diff | Splinter Review

Description Olli Pettay [:smaug] 2011-12-08 03:24:44 PST
Created attachment 579998 [details] [diff] [review]
patch

See Bug 702813.

This is similar to Bug 674276. The patch is like for FF8, but
parentNode traversing was moved to nsINode.


https://tbpl.mozilla.org/?tree=Try&rev=c757fdfb3a79
Comment 1 Olli Pettay [:smaug] 2011-12-08 03:27:03 PST
https://bugzilla.mozilla.org/show_bug.cgi?id=702813#c13
For FF9 the backout is actually easy.
For FF10, not as easy.
Comment 2 Olli Pettay [:smaug] 2011-12-08 04:23:30 PST
hmm, there has been few changes which need a null check :(
Comment 3 Olli Pettay [:smaug] 2011-12-08 05:31:06 PST
Created attachment 580015 [details] [diff] [review]
patch

I went through GetOwnerDoc() calls and noticed two cases added in FF9 which
don't have null check: onfoo handling and nsGenericDOMDataNode warnings.

I'm not yet 100% sure we should take this, but we don't have much time to decide.
https://tbpl.mozilla.org/?tree=Try&rev=e9ce6e2f8ad5
Comment 4 Boris Zbarsky [:bz] (still a bit busy) 2011-12-08 07:39:06 PST
Comment on attachment 580015 [details] [diff] [review]
patch

r=me on the event bits
Comment 5 :Ms2ger (⌚ UTC+1/+2) 2011-12-08 09:49:08 PST
Comment on attachment 580015 [details] [diff] [review]
patch

The nsGenericDOMDataNode warning bits look good.
Comment 6 Alex Keybl [:akeybl] 2011-12-08 12:29:16 PST
Code freeze is tomorrow 12/9. Please nominate for beta approval asap.
Comment 7 Johnny Stenback (:jst, jst@mozilla.com) 2011-12-08 15:50:43 PST
Comment on attachment 580015 [details] [diff] [review]
patch

r=jst and approved for beta per todays release driver meeting.
Comment 9 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2011-12-13 14:30:14 PST
Is there something QA can do to verify this backout?
Comment 10 Olli Pettay [:smaug] 2011-12-13 15:02:25 PST
http://home.arcor.de/martin.honnen/mozillaBugs/domLevel2/parentNodeProblem1.html should fail.
At some point the parentNode should change to null.
Comment 11 Olli Pettay [:smaug] 2011-12-20 15:48:08 PST
And backed out the backout :(
https://hg.mozilla.org/releases/mozilla-release/rev/b78fe362789b
Comment 12 Ralf Bartnik 2012-01-27 19:00:56 PST
(In reply to Olli Pettay [:smaug] from comment #0)
> Created attachment 579998 [details] [diff] [review]
> patch
> 
> See Bug 702813.
> 
> This is similar to Bug 674276. The patch is like for FF8, but
> parentNode traversing was moved to nsINode.
> 
> 
> https://tbpl.mozilla.org/?tree=Try&rev=c757fdfb3a79

Note You need to log in before you can comment on or make changes to this bug.